Subject: Grub theme gets reset when system generations are deleted.

From: Sughosha <[email-masked]>
Date: Tue, 11 Feb 2025 19:35:08 +0530

After running `guix system delete-generations` as root, custom grub theme 
defined with the operating system definition gets reset to the default theme 
with Guix logo. After reconfiguring the system again, the custom theme appears. 
Expected result is to keep the theme as is even after deleting generations.

-- 
Sughosha